> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-8/v8-1-2-76990.md).

# Version 8.1.2.76990 Changelog (March 10th, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 8.1.2.76990
* Release Date: March 10th, 2021
* Built with Xcode 12.3 (12C33)

## Packaging and Distribution

* Apryse is now distributed as an .xcframework. This is now the recommended way to integrate Apryse with your project.
* The new .xcframework includes support for macOS Catalyst, and includes a macOS arm slice for the M1.
* Apryse is available via the Swift Package Manager system via [pdftron-apple-package](https://github.com/ApryseSDK/pdftron-apple-package/). Details on integrating via SPM are available as part of our [integration guide](/ios/get-started/integration.md).

## New

* Includes a new [SmartPen tool](https://sdk.apryse.com/api/ios/Classes/PTSmartPen.html) that will highlight text when used on text, and draw ink when used elsewhere.
* Images on the pasteboard can now be pasted as stamp annotations.
* MacReader, our macOS Catalyst app, is now included.
* The tab key can be used to navigate between form fields.
* The `PTDocumentController`'s more items now uses a [pulldown menu](https://developer.apple.com/design/human-interface-guidelines/pull-down-buttons/) on iOS 14+.
* A new API, [`allowBluetoothPermissionPrompt`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)allowBluetoothPermissionPrompt), can be used to block bluetooth permission prompt.
* Undo/redo buttons are now hidden when the undo manager is disabled.
* The collaboration annotation list now indicates when there are no annotations.
* Adds a new PTAnnotEditToolDelegate method [`annotEditTool:shouldRenderAnnotationAsVector:onPageNumber:`](https://sdk.apryse.com/api/ios/Protocols/PTAnnotEditToolDelegate.html#/c:objc\(pl\)PTAnnotEditToolDelegate\(im\)annotEditTool:shouldRenderAnnotationAsVector:onPageNumber:) to control how annotation's selected appearance is drawn: via a bitmap generated by the PDF renderer, or as a vector in the iOS UI. This is useful when annotations are given custom appearances.

## Bug fixes

* Fixes an issue when using the `Ink` tool from the long-press menu when the Apple Pencil setting was set to System.
* Fixes an issue where ink or polyline annotations could get lost if an annotation were selected from the annotation list before the annotation had been written back to the document.
* Fixes a small discrepancy between how a cloudy annotation appeared when it was selected and not.
* Fixes free text borders being drawn too thin.
* Fixes free text property editing when using the keyboard accessory view's controls.
* When an annotation is pasted, the new annotation's author is now set to the current author.
* The long-press menu option to search for the selected text is only shown when the PTToolManagerDelegate method [`-viewControllerForToolManager:`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html#/c:objc\(pl\)PTToolManagerDelegate\(im\)viewControllerForToolManager:) is implemented, preventing what would previously have resulted in a crash.
* Keyboard accessory view will no longer appear outside the safe area (relevant when using a hardware keyboard).
* Eliminates extraneous annotation modified notifications that occurred when the style picker was opened but no annotation modifications were made.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-8/v8-1-2-76990.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
